System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Web.UI.ITemplate

The class is used by ASP.NET to create a template for a templated control from the generated class code. It is not meant to be used directly in your code.

An implementation that is called from the generated page class code. This class cannot be inherited.

- Constructor
  a

  This constructor is used internally by ASP.NET to create a new instance of the class. It is not meant to be used directly in your code.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` a

  The method is the class's implementation of the method. It is used by ASP.NET to create the control hierarchy of the template and is not meant to be used directly in your code.

  Populates the object with the child controls contained in the template.

  1.0.5000.0
  2.0.0.0